__copyright__ = "Copyright © Stichting SciPost (SciPost Foundation)"
__license__ = "AGPL v3"


from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.InstitutionListView.as_view(), name='institutions'),
    url(r'^(?P<institution_id>[0-9]+)/$', views.InstitutionDetailView.as_view(),
        name='institution_details'),
    url(r'^(?P<institution_id>[0-9]+)/edit', views.InstitutionUpdateView.as_view(),
        name='institution_edit'),
    url(r'^(?P<institution_id>[0-9]+)/delete/', views.InstitutionDeleteView.as_view(),
        name='institution_delete'),
    url(r'^(?P<institution_id>[0-9]+)/merge$', views.merge_institutions,
        name='merge_institutions'),
    url(r'^institutions_without_organization/$',
        views.InstitutionWithoutOrganizationListView.as_view(),
        name='institutions_without_organization'),
    url(r'^(?P<pk>[0-9]+)/link_to_organization/$',
        views.LinkInstitutionToOrganizationView.as_view(),
        name='link_to_organization'),
]
